#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Roots acquisition library for Garbage Collector
Summary(pl.UTF-8):	Biblioteka do wydobywania podstaw do odśmiecania pamięci
Name:		libgcroots
Version:	0.3.2
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/uim/libgcroots/releases
Source0:	https://github.com/uim/libgcroots/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	c2575657a183d7953681c7e820a8a974
URL:		https://github.com/uim/libgcroots
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgcroots abstracts architecture-dependent part of garbage collector
roots acquisition such as register windows of SPARC and register stack
backing store of IA-64.

This library encourages to have own GC such as for
small-libgcrootstprint, some application-specific optimizations, just
learning or to test experimental ideas.

%description -l pl.UTF-8
libgcroots tworzy abstrakcję zależnych od architektury części
wydobywania podstaw do odśmiecania pomięci, takich jak okna rejestrów
procesora SPARC czy przestrzeń rejestrów na stosie IA64.

Biblioteka zachęca do używania własnego GC, jak w przypadku
small-libgcrootstprint, paru optymalizacji zależnych od aplikacji,
tylko nauki albo ekspertymentowania.

%package devel
Summary:	Header files for libgcroots library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgcroots
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libgcroots library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgcroots.

%package static
Summary:	Static libgcroots library
Summary(pl.UTF-8):	Statyczna biblioteka libgcroots
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgcroots library.

%description static -l pl.UTF-8
Statyczna biblioteka libgcroots.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libgcroots.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcroots.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgcroots.so
%{_includedir}/gcroots.h
%{_pkgconfigdir}/gcroots.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgcroots.a
%endif
%changelog
* Sun Oct 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgcroots.git;a=log;h=master

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 9ea557b
- updated to 0.3.2

* Wed Feb 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 680fcb6
- updated URLs

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 105446c
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> e89b2cf
- pl, track soname

* Sat Jul 16 2011 Jan Rękorajski <baggins@pld-linux.org> c4397ac
- rel 1

* Sat Jul 16 2011 Jan Rękorajski <baggins@pld-linux.org> 35bac3a
- initial revision

